Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Fork virt-manager, add dependency on libvirt-glib[introspection]

  • Loading branch information...
commit 920ded52206029e70db0c0a607c0c27c6cff05bb 1 parent 828469f
Ryan Harris authored
View
3  app-emulation/virt-manager/Manifest
@@ -0,0 +1,3 @@
+DIST virt-manager-0.10.0.tar.gz 2548256 SHA256 59bd8f316917228885261a1ecbeb9aadbb0b0e02cdf5fc974c78113c5814346d SHA512 13eaed3645ccee79da6a972e02bb182b5bd24981ff55b6322b8aaf2689fab520f22f1e729bb5f5287d66526252a31a531c6595ee27489a52fb4829ae18cf8204 WHIRLPOOL e3e34506171217c63e5e5337157f75006554afb156a430f2ee7f11e354d0c490adc371174b342efb4cc90ab0686d2c74f42b4d52c55c0a9221868670980fdbb3
+DIST virt-manager-0.9.4.tar.gz 1709809 SHA256 dc8c553beeb15bb30cd5517b2105bcc47cf482b03523e522733c52b0e5df0fc0 SHA512 f70f4c4f0d5b282d8126e495a2da8bcb6afe0bcbbae493d4abb46c3a1802f5ce36f477125421cb577ab2f64bae522db4d7c03558fa7997d74f5060b29b98c53a WHIRLPOOL 00a213515f23858278f47069102cf82eb053255b81a9e128fd666dbb17f6d9e7ce2365b4370fa3b733406c07599fe5c0dfa076a6555c48dd62d1178b679acedb
+DIST virt-manager-0.9.5.tar.gz 1773882 SHA256 5d2afb282fb8c4401f9e203dcb41a62746b9a909258d440d508219bc1a33803d SHA512 a1ecf6fe9f3ddacfe43006cfc388d9324c457be91767792119d8a112b190739e3274dfeb7cffd28534b86a33f86079c569d8337eeddaa9d60ed69f82d8a4627f WHIRLPOOL d15728e55c0a3e361b42b6e615bed50b8870c436a12ae0ececcd80d47d0482ea01c33f5497672e050aa6465f9b031948bf92925710c4340837d789d4634506c8
View
22 app-emulation/virt-manager/metadata.xml
@@ -0,0 +1,22 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>virtualization</herd>
+ <use>
+ <flag name='policykit'>
+ Enables <pkg>sys-auth/polkit</pkg> authentication support,
+ required when using <pkg>app-emulation/libvirt</pkg> with
+ PolicyKit authentication
+ </flag>
+ <flag name='sasl'>
+ Depend on the proper libraries needed to connect to SASL-enabled
+ libvirtd instances (e.g. Kerberos-protected instances).
+ </flag>
+ <flag name='spice'>
+ Support connecting to SPICE-enabled virtual machines.
+ </flag>
+ <flag name='vnc'>
+ Support connecting to VNC-enabled virtual machines.
+ </flag>
+ </use>
+</pkgmetadata>
View
77 app-emulation/virt-manager/virt-manager-0.10.0.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-emulation/virt-manager/virt-manager-0.10.0.ebuild,v 1.7 2013/07/05 19:01:27 cardoe Exp $
+
+EAPI=5
+
+#BACKPORTS=
+
+PYTHON_COMPAT=( python{2_6,2_7} )
+DISTUTILS_SINGLE_IMPL=1
+
+inherit eutils gnome2 distutils-r1
+
+DESCRIPTION="A graphical tool for administering virtual machines"
+HOMEPAGE="http://virt-manager.org"
+
+if [[ ${PV} = *9999* ]]; then
+ inherit git-2
+ SRC_URI=""
+ KEYWORDS=""
+else
+ SRC_URI="http://virt-manager.org/download/sources/${PN}/${P}.tar.gz
+ ${BACKPORTS+http://dev.gentoo.org/~cardoe/distfiles/${P}-${BACKPORTS}.tar.xz}"
+ KEYWORDS="~*"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="gnome-keyring policykit sasl"
+
+RDEPEND="!app-emulation/virtinst
+ x11-libs/gtk+:3[introspection]
+ >=app-emulation/libvirt-0.7.0[python,${PYTHON_USEDEP}]
+ >=app-emulation/libvirt-glib-0.0.9[introspection]
+ ${PYTHON_DEPS}
+ dev-libs/libxml2[python,${PYTHON_USEDEP}]
+ dev-python/ipaddr[${PYTHON_USEDEP}]
+ dev-python/pygobject:3[${PYTHON_USEDEP}]
+ dev-python/urlgrabber[${PYTHON_USEDEP}]
+ >=net-libs/gtk-vnc-0.3.8[gtk3,introspection,python,${PYTHON_USEDEP}]
+ net-misc/spice-gtk[gtk3,introspection,python,sasl?,${PYTHON_USEDEP}]
+ x11-libs/vte:2.90[introspection]
+ gnome-keyring? ( dev-python/gnome-keyring-python )
+ policykit? ( sys-auth/polkit[introspection] )"
+DEPEND="${RDEPEND}
+ dev-lang/perl
+ dev-util/intltool"
+
+DOCS=( README NEWS )
+
+python_prepare_all() {
+ epatch_user
+ distutils-r1_python_prepare_all
+}
+
+distutils-r1_python_compile() {
+ local defgraphics=
+
+ esetup.py configure \
+ --qemu-user=qemu \
+ --default-graphics=spice
+}
+
+python_install_all() {
+ python_fix_shebang "${ED}/usr/share/virt-manager/virt-clone"
+ python_fix_shebang "${ED}/usr/share/virt-manager/virt-convert"
+ python_fix_shebang "${ED}/usr/share/virt-manager/virt-image"
+ python_fix_shebang "${ED}/usr/share/virt-manager/virt-install"
+ python_fix_shebang "${ED}/usr/share/virt-manager/virt-manager"
+}
+
+pkg_preinst() {
+ gnome2_pkg_preinst
+
+ cd "${ED}"
+ export GNOME2_ECLASS_ICONS=$(find 'usr/share/virt-manager/icons' -maxdepth 1 -mindepth 1 -type d 2> /dev/null)
+}
View
99 app-emulation/virt-manager/virt-manager-0.9.4.ebuild
@@ -0,0 +1,99 @@
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=4
+
+#BACKPORTS=4
+
+if [[ ${PV} = *9999* ]]; then
+ EGIT_REPO_URI="http://git.fedorahosted.org/git/virt-manager.git"
+fi
+
+PYTHON_DEPEND="2:2.5"
+
+# Stop gnome2.eclass from doing stuff on USE=debug
+GCONF_DEBUG="no"
+
+inherit eutils gnome2 python
+
+if [[ ${PV} = *9999* ]]; then
+ inherit git-2 autotools
+ SRC_URI=""
+ KEYWORDS=""
+ VIRTINSTDEP=">=app-emulation/virtinst-9999"
+else
+ SRC_URI="http://virt-manager.org/download/sources/${PN}/${P}.tar.gz
+ ${BACKPORTS:+mirror://gentoo/${P}-bp-${BACKPORTS}.tar.bz2
+ http://dev.gentoo.org/~cardoe/distfiles/${P}-bp-${BACKPORTS}.tar.bz2}"
+ KEYWORDS="amd64 x86"
+ VIRTINSTDEP=">=app-emulation/virtinst-0.600.2"
+fi
+
+DESCRIPTION="A graphical tool for administering virtual machines (KVM/Xen)"
+HOMEPAGE="http://virt-manager.org/"
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="gnome-keyring policykit sasl +spice +vnc"
+RDEPEND=">=dev-python/pygtk-1.99.12
+ >=app-emulation/libvirt-0.7.0[python,sasl?]
+ >=dev-libs/libxml2-2.6.23[python]
+ ${VIRTINSTDEP}
+ >=gnome-base/librsvg-2
+ >=x11-libs/vte-0.12.2:0[python]
+ >=dev-python/dbus-python-0.61
+ >=dev-python/gconf-python-1.99.11
+ dev-python/urlgrabber
+ sys-apps/dbus[X]
+ gnome-keyring? ( dev-python/gnome-keyring-python )
+ policykit? ( sys-auth/polkit )
+ spice? (
+ >=net-misc/spice-gtk-0.6[python,sasl?]
+ || (
+ <=net-misc/spice-gtk-0.14[python,sasl?,-gtk3]
+ >=net-misc/spice-gtk-0.14-r1[python,sasl?]
+ )
+ )
+ vnc? ( >=net-libs/gtk-vnc-0.3.8[python,sasl?] )"
+# tui? ( >=dev-python/new_syrup-0.1.2 )"
+DEPEND="${RDEPEND}
+ app-text/rarian
+ dev-util/intltool"
+
+pkg_setup() {
+ G2CONF="--without-tui"
+ python_set_active_version 2
+ python_pkg_setup
+}
+
+src_prepare() {
+ sed -e "s/python/python2/" -i src/virt-manager.in || \
+ die "python2 update failed"
+
+ [[ -n ${BACKPORTS} ]] && \
+ EPATCH_FORCE=yes EPATCH_SUFFIX="patch" EPATCH_SOURCE="${S}/patches" \
+ epatch
+
+ if [[ ${PV} = *9999* ]]; then
+ # virt-manager's autogen.sh touches this and eautoreconf fails
+ # unless we do this
+ touch config.rpath
+
+ rm -rf config.status || die
+ intltoolize --automake --copy --force || die
+ perl -i -p -e 's,^DATADIRNAME.*$,DATADIRNAME = share,' po/Makefile.in.in || die
+ perl -i -p -e 's,^GETTEXT_PACKAGE.*$,GETTEXT_PACKAGE = virt-manager,' \
+ po/Makefile.in.in || die
+ eautoreconf
+ fi
+
+ gnome2_src_prepare
+}
+
+pkg_postinst() {
+ python_mod_optimize /usr/share/${PN}
+ gnome2_pkg_postinst
+}
+
+pkg_postrm() {
+ python_mod_cleanup /usr/share/${PN}
+ gnome2_pkg_postrm
+}
View
99 app-emulation/virt-manager/virt-manager-0.9.5.ebuild
@@ -0,0 +1,99 @@
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+#BACKPORTS=4
+
+if [[ ${PV} = *9999* ]]; then
+ EGIT_REPO_URI="http://git.fedorahosted.org/git/virt-manager.git"
+fi
+
+PYTHON_DEPEND="2:2.5"
+
+# Stop gnome2.eclass from doing stuff on USE=debug
+GCONF_DEBUG="no"
+
+inherit eutils gnome2 python
+
+if [[ ${PV} = *9999* ]]; then
+ inherit git-2 autotools
+ SRC_URI=""
+ KEYWORDS=""
+ VIRTINSTDEP=">=app-emulation/virtinst-9999"
+else
+ SRC_URI="http://virt-manager.org/download/sources/${PN}/${P}.tar.gz
+ ${BACKPORTS:+mirror://gentoo/${P}-bp-${BACKPORTS}.tar.bz2
+ http://dev.gentoo.org/~cardoe/distfiles/${P}-bp-${BACKPORTS}.tar.bz2}"
+ KEYWORDS="amd64 x86"
+ VIRTINSTDEP=">=app-emulation/virtinst-0.600.4"
+fi
+
+DESCRIPTION="A graphical tool for administering virtual machines (KVM/Xen)"
+HOMEPAGE="http://virt-manager.org/"
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="gnome-keyring policykit sasl +spice +vnc"
+RDEPEND=">=dev-python/pygtk-1.99.12
+ >=app-emulation/libvirt-0.7.0[python,sasl?]
+ >=dev-libs/libxml2-2.6.23[python]
+ ${VIRTINSTDEP}
+ >=gnome-base/librsvg-2
+ >=x11-libs/vte-0.12.2:0[python]
+ >=dev-python/dbus-python-0.61
+ >=dev-python/gconf-python-1.99.11
+ dev-python/urlgrabber
+ sys-apps/dbus[X]
+ gnome-keyring? ( dev-python/gnome-keyring-python )
+ policykit? ( sys-auth/polkit )
+ spice? (
+ >=net-misc/spice-gtk-0.6[python,sasl?]
+ || (
+ <=net-misc/spice-gtk-0.14[python,sasl?,-gtk3]
+ >=net-misc/spice-gtk-0.14-r1[python,sasl?]
+ )
+ )
+ vnc? ( >=net-libs/gtk-vnc-0.3.8[python,sasl?] )"
+# tui? ( >=dev-python/new_syrup-0.1.2 )"
+DEPEND="${RDEPEND}
+ app-text/rarian
+ dev-util/intltool"
+
+pkg_setup() {
+ G2CONF="--without-tui"
+ python_set_active_version 2
+ python_pkg_setup
+}
+
+src_prepare() {
+ sed -e "s/python/python2/" -i src/virt-manager.in || \
+ die "python2 update failed"
+
+ [[ -n ${BACKPORTS} ]] && \
+ EPATCH_FORCE=yes EPATCH_SUFFIX="patch" EPATCH_SOURCE="${S}/patches" \
+ epatch
+
+ if [[ ${PV} = *9999* ]]; then
+ # virt-manager's autogen.sh touches this and eautoreconf fails
+ # unless we do this
+ touch config.rpath
+
+ rm -rf config.status || die
+ intltoolize --automake --copy --force || die
+ perl -i -p -e 's,^DATADIRNAME.*$,DATADIRNAME = share,' po/Makefile.in.in || die
+ perl -i -p -e 's,^GETTEXT_PACKAGE.*$,GETTEXT_PACKAGE = virt-manager,' \
+ po/Makefile.in.in || die
+ eautoreconf
+ fi
+
+ gnome2_src_prepare
+}
+
+pkg_postinst() {
+ python_mod_optimize /usr/share/${PN}
+ gnome2_pkg_postinst
+}
+
+pkg_postrm() {
+ python_mod_cleanup /usr/share/${PN}
+ gnome2_pkg_postrm
+}
View
73 app-emulation/virt-manager/virt-manager-9999.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-emulation/virt-manager/virt-manager-9999.ebuild,v 1.17 2013/06/25 17:28:53 cardoe Exp $
+
+EAPI=5
+
+#BACKPORTS=
+
+PYTHON_COMPAT=( python{2_6,2_7} )
+DISTUTILS_SINGLE_IMPL=1
+
+inherit eutils gnome2 distutils-r1
+
+DESCRIPTION="A graphical tool for administering virtual machines"
+HOMEPAGE="http://virt-manager.org"
+
+if [[ ${PV} = *9999* ]]; then
+ inherit git-2
+ SRC_URI=""
+ KEYWORDS=""
+else
+ SRC_URI="http://virt-manager.org/download/sources/${PN}/${P}.tar.gz
+ ${BACKPORTS+http://dev.gentoo.org/~cardoe/distfiles/${P}-${BACKPORTS}.tar.xz}"
+ KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="gnome-keyring policykit sasl +spice +vnc"
+
+RDEPEND="!app-emulation/virtinst
+ x11-libs/gtk+:3[introspection]
+ >=app-emulation/libvirt-0.7.0[python]
+ >=app-emulation/libvirt-glib-0.0.9
+ ${PYTHON_DEPS}
+ dev-libs/libxml2[python,${PYTHON_USEDEP}]
+ dev-python/ipaddr[${PYTHON_USEDEP}]
+ dev-python/pygobject:3[${PYTHON_USEDEP}]
+ dev-python/urlgrabber[${PYTHON_USEDEP}]
+ x11-libs/vte:2.90[introspection]
+ gnome-keyring? ( dev-python/gnome-keyring-python )
+ policykit? ( sys-auth/polkit )
+ spice? ( net-misc/spice-gtk[gtk3,introspection,python,sasl?] )
+ vnc? ( >=net-libs/gtk-vnc-0.3.8[gtk3,introspection,python,${PYTHON_USEDEP}] )"
+DEPEND="${RDEPEND}
+ dev-lang/perl
+ dev-util/intltool"
+
+DOCS=( README NEWS )
+
+python_prepare_all() {
+ epatch_user
+ distutils-r1_python_prepare_all
+}
+
+distutils-r1_python_compile() {
+ local defgraphics=
+
+ use vnc && defgraphics="vnc"
+ use spice && defgraphics="spice"
+
+ esetup.py configure \
+ --qemu-user=qemu \
+ --default-graphics=${defgraphics}
+}
+
+python_install_all() {
+ python_fix_shebang "${ED}/usr/share/virt-manager/virt-clone"
+ python_fix_shebang "${ED}/usr/share/virt-manager/virt-convert"
+ python_fix_shebang "${ED}/usr/share/virt-manager/virt-image"
+ python_fix_shebang "${ED}/usr/share/virt-manager/virt-install"
+ python_fix_shebang "${ED}/usr/share/virt-manager/virt-manager"
+}
View
4 profiles/package.use.force/funtoo
@@ -1,7 +1,3 @@
-# FL-635
-# force vala use to libvirt-glib
-app-emulation/libvirt-glib vala
-
# force python single targets in blender,
# FL-408
>=media-gfx/blender-2.66 python_single_target_python3_3
Please sign in to comment.
Something went wrong with that request. Please try again.